Bug 148973 - rpm should have BuildRequires dependency on libselinux version
rpm should have BuildRequires dependency on libselinux version
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Mike McLean
: 148982 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-02-17 11:20 EST by Jos Vos
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-20 14:14:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2005-02-17 11:20:00 EST
Description of problem:
Building the rpm package depends on newer versions of libselinux,
otherwise it complains about an undefined reference "rpm_execcon". 
The rpm src.rpm should contain a BuildRequires dependency for the
correct version of the libselinux (or libselinux-devel?) package.

Version-Release number of selected component (if applicable):
Comment 1 Jos Vos 2005-02-17 15:53:24 EST
*** Bug 148982 has been marked as a duplicate of this bug. ***
Comment 2 Jeff Johnson 2005-02-20 14:14:53 EST
A (necessary imho) ABI change like rpm_execcon cannot be
properly tracked through build dependencies.

Adding a build dependency fo now isn't the right
solution either, as libselinux development is
happening much more quickly than rpm development.
So any build dependency added today is predicatbly
going to rot when libselinux changes and rpm does not.

A more general fix, using dlopen rather than the
traditional (and overly stiff and complex imho)
solution is needed so that rpm "works" with and
without libselinux, either enabled/disabled, strict/targeted.

These are intrinsically run-time attributes that no build
dependency can adequately solve.

Defeered unti then ...

Note You need to log in before you can comment on or make changes to this bug.